# LegendAndColour Struct Reference

Structure for holding relevant data for legends in small map. More...

## Data Fields

uint8 | colour
| colour of the item on the map
StringID | legend
| string corresponding to the coloured item
IndustryType | type
| type of industry
bool | show_on_map
| for filtering industries, if true is shown on map in colour
bool | end
| this is the end of the list
bool | col_break
| perform a break and go one column further

## Detailed Description

Structure for holding relevant data for legends in small map.

Definition at line 68 of file smallmap_gui.cpp.

The documentation for this struct was generated from the following file:

- src/smallmap_gui.cpp